What happens when....
-
Now Tig you are straying into the realms of fantasy, we all know that nuclear waste from Earth stored on the Moon's far side exploded in a catastrophic accident on 13 September 1999, knocking the Moon out of orbit and sending it and the 311 inhabitants of Moonbase Alpha hurtling uncontrollably into space, and there haven't been any problem like you describe in the last 13 years or so.
-
When I was a kid I saw that series (like it pretty much although our standards of CG have been risen since then).
-
Rich, Here's what I was picturing about 3D color
http://youtu.be/x0-qoXOCOowand you must be thinking of Munsell color system
-
@unknownuser said:
There you go bringing fact to the table when the questions posted are devoid of fact.
The question's point is to make you place a color value at a point and then extrapolate all remaining colours from that point to create a shape [object]. Do you get a sphere, cube, cylinder etc?
But as I said you can place an object of any color at any 3d point and invent a referencing system to suit that.
The stacked form can also be anything you like - you invent the rules...A stacked cube of 1x1x1 sub-cubes that's 255x255x255 in all, with its bottom left corner at [0,0,0] can represent all of the RGB colors in steps of 1 unit [the integer limit to RGB colors anyway].
The cube at [0,0,0] is black.
The cube at [255,255,255] is white
The cube at [128,128,128] is mid-gray.
Thus the 'diagonal' line of cubes from [0,0,0] to [255,255,255] is monochrome shades of gray from black to white.
The pure 'colored' cubes at at the extreme corners and vary towards black th nearer they are to the origin.
The attached example SKP shows this - I've used only 10x10x10 with ~x25.5 steps to avoid a stupidly sized SKP ! It's still 1000 cubes and 1000 materials !
This is the code to do the coloring [it adds some alpha transparency for clarity]def colorcubes() model=Sketchup.active_model model.start_operation('colorcubes', true) ss=model.selection ss.each{|e| next unless e.class==Sketchup;;ComponentInstance xyz=e.bounds.min.to_a r=(xyz.x*25.5).to_i g=(xyz.y*25.5).to_i b=(xyz.z*25.5).to_i e.material=[r,g,b] e.material.alpha=0.5 } model.commit_operation end
-
Extreme. Like the troubleshoot scene
-
The Troubleshooting Style is useful for finding what you've done wrong with making geometry etc - without messing with the camera etc ! I meant to delete it !
What do you think of the 3d color idea...
-
Excellent....intriguing....bespoke....Pilouesque
-
I have drawn 1000 instances of a cube,selected them, opened the ruby console, pasted your code and pressed enter: it returned Nil.
what am I doing wrong? -
The cubes must be instances of a component, which should be 1"x1"x1" - any placed beyond 10" from the origin will be 'white'.
The color of each material increments in steps of '~10'.
You can't copy/paste the code as it's multi-line [maybe on some MACs ?].
If you want to try it put the whole code into a filecolorcubes.rb
in Plugins restart SUp, and typecolorcubes
in the Ruby Console to process any preselected cubes...
To see the effect more quickly omit any cubes inside.
BUT having the 1000 cubes does allow you to use a section cut to see the affects... Note how the combos of RGB at the three max corners for the axes, then make cyan/yellow/magenta at the other three 'common corners' - with black/white for absolute min/max corners -
Works fine thank you.
Advertisement